#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# fichier d'installation
# pour le paquet horus-backend

from distutils.core import setup
import glob

# passer /usr dans le fichier rules !
data = [('sbin', glob.glob('sbin/*')),
        ('share/horus', glob.glob('data/*.*')),
        ('share/horus/models', glob.glob('data/models/*.*')),
        ('share/eole/backend', glob.glob('scripts/*.*')),
        ('../etc/init.d/', glob.glob('init/*')),
        ('share/eole/tests/', glob.glob('tests/*.py')),
        # FIXME : squelette des rep personnels
        ('share/horus/skel/profiles', []),
        ('share/horus/skel/perso', []),        
        ]

setup(
    author='eole',
    author_email='eole@ac-dijon.fr',
    name='horus-backend',
    version='2.0',
    description='backend de gestion des comptes horus',
    url='http://www.eole.orion.education.fr',
    packages=['horus'],
    data_files = data
)

